# Retrieving Property API metadata

Use the Property API meta endpoint to retrieve a full list of property categories and the mapping between OTA and Booking IDs. See also [Property Class Type.](/connectivity/docs/codes-pct/)

List of property details is mostly static
The meta endpoint returns a list of all Booking.com supported categories and their details.
Updates to this list are infrequent but can happen. Use this endpoint to get up-to-date
information and pick up any newly introduced categories at Booking.com.

## Retrieving property metadata

Use this endpoint to retrieve Booking.com supported property categories and other details.


```http
GET
https://supply-xml.booking.com/property-api/meta
```

### Response parameters

The following table describes the response elements:

| Parameter | Description | Type | Notes |
|  --- | --- | --- | --- |
| `data` | Root element containing property categories. | object |  |
| **>** `property_categories` | Contains the list of property categories. | array |  |
| **>>** `code` | Specifies the Booking.com internal property category code. | integer |  |
| **>>** `name` | Specifies the property category name. | string | Example: "APARTMENT", "HOTEL" |
| **>>** `code_ota` | Specifies the OTA (Open Travel Alliance) code for the property category. | integer | Optional, present when property has an OTA mapping |
| **>>** `code_booking_extended` | Specifies the Booking.com extended category code. | integer | Optional, present for Booking.com specific categories |
| **>>** `additional_ota_mappings` | Specifies the additional OTA mappings for the property category. | array | Optional |
| **>>>** `code` | Specifies the property category code for the additional mapping. | integer |  |
| **>>>** `name` | Specifies the alternative name for the property category. | string |  |
| **>>>** `code_ota` | Specifies the additional OTA code mapping. | integer |  |


### Response body example

details
summary
Click to view an example response from the meta endpoint. This is an example and is not the source of truth. To retrieve an up-to-date list of all property class type codes and other details, implement the meta endpoint.

```json
{
  "data": {
    "property_categories": [
      {
        "code": 201,
        "name": "APARTMENT",
        "code_ota": 3,
        "additional_ota_mappings": [
          {
            "code": 201,
            "name": "RESIDENTIAL_APARTMENT",
            "code_ota": 29
          },
          {
            "code": 201,
            "name": "SELF_CATERING_ACCOMMODATION",
            "code_ota": 32
          },
          {
            "code": 201,
            "name": "EFFICIENCY_STUDIO",
            "code_ota": 46
          }
        ]
      },
      {
        "code": 208,
        "name": "BED_AND_BREAKFAST",
        "code_ota": 4
      },
      {
        "code": 214,
        "name": "CAMPGROUND",
        "code_ota": 6,
        "additional_ota_mappings": [
          {
            "code": 214,
            "name": "RECREATIONAL_VEHICLE_PARK",
            "code_ota": 50
          }
        ]
      },
      {
        "code": 228,
        "name": "CHALET",
        "code_ota": 7
      },
      {
        "code": 215,
        "name": "CRUISE",
        "code_ota": 12,
        "additional_ota_mappings": [
          {
            "code": 215,
            "name": "FERRY",
            "code_ota": 14
          },
          {
            "code": 215,
            "name": "SAILING_SHIP",
            "code_ota": 31
          },
          {
            "code": 215,
            "name": "BOATEL",
            "code_ota": 44
          }
        ]
      },
      {
        "code": 210,
        "name": "GUEST_FARM",
        "code_ota": 15,
        "additional_ota_mappings": [
          {
            "code": 210,
            "name": "RANCH",
            "code_ota": 28
          }
        ]
      },
      {
        "code": 203,
        "name": "HOSTEL",
        "code_ota": 19
      },
      {
        "code": 204,
        "name": "HOTEL",
        "code_ota": 20,
        "additional_ota_mappings": [
          {
            "code": 204,
            "name": "BOUTIQUE",
            "code_ota": 45
          },
          {
            "code": 204,
            "name": "CHARM_HOTEL",
            "code_ota": 51
          }
        ]
      },
      {
        "code": 218,
        "name": "INN",
        "code_ota": 21
      },
      {
        "code": 221,
        "name": "LODGE",
        "code_ota": 22
      },
      {
        "code": 205,
        "name": "MOTEL",
        "code_ota": 27
      },
      {
        "code": 206,
        "name": "RESORT",
        "code_ota": 30,
        "additional_ota_mappings": [
          {
            "code": 206,
            "name": "HOLIDAY_RESORT",
            "code_ota": 18
          },
          {
            "code": 206,
            "name": "MEETING_RESORT",
            "code_ota": 23
          },
          {
            "code": 206,
            "name": "WILDLIFE_RESERVE",
            "code_ota": 36
          }
        ]
      },
      {
        "code": 224,
        "name": "TENT",
        "code_ota": 33
      },
      {
        "code": 213,
        "name": "VILLA",
        "code_ota": 35
      },
      {
        "code": 216,
        "name": "PENSION",
        "code_ota": 40,
        "additional_ota_mappings": [
          {
            "code": 216,
            "name": "GUEST_HOUSE_LIMITED_SERVICE",
            "code_ota": 16
          }
        ]
      },
      {
        "code": 219,
        "name": "APART_HOTEL",
        "code_booking_extended": 5000
      },
      {
        "code": 227,
        "name": "RIAD",
        "code_booking_extended": 5001
      },
      {
        "code": 209,
        "name": "RYOKAN",
        "code_booking_extended": 5002
      },
      {
        "code": 226,
        "name": "LOVE_HOTEL",
        "code_booking_extended": 5003
      },
      {
        "code": 222,
        "name": "HOMESTAY",
        "code_booking_extended": 5004,
        "additional_ota_mappings": [
          {
            "code": 222,
            "name": "MONASTERY",
            "code_ota": 26
          }
        ]
      },
      {
        "code": 231,
        "name": "JAPANESE_STYLE_BUSINESS_HOTEL",
        "code_booking_extended": 5005
      },
      {
        "code": 220,
        "name": "HOLIDAY_HOME",
        "code_booking_extended": 5006,
        "additional_ota_mappings": [
          {
            "code": 220,
            "name": "CABIN_OR_BUNGALOW",
            "code_ota": 5
          },
          {
            "code": 220,
            "name": "CONDOMINIUM",
            "code_ota": 8
          },
          {
            "code": 220,
            "name": "MOBILE_HOME",
            "code_ota": 25
          },
          {
            "code": 220,
            "name": "VACATION_HOME",
            "code_ota": 34
          },
          {
            "code": 220,
            "name": "CASTLE",
            "code_ota": 37
          },
          {
            "code": 220,
            "name": "MANOR",
            "code_ota": 52
          }
        ]
      },
      {
        "code": 223,
        "name": "COUNTRY_HOUSE",
        "code_booking_extended": 5007
      },
      {
        "code": 225,
        "name": "CAPSULE_HOTEL",
        "code_booking_extended": 5008
      },
      {
        "code": 212,
        "name": "HOLIDAY_PARK",
        "code_booking_extended": 5009
      }
    ]
  },
  "warnings": [],
  "errors": [],
  "meta": {
    "ruid": "..."
  }
}
```